package com.ruoyi.dezhi.service;

import com.ruoyi.dezhi.domain.BBusiDezhiVideoPackage;

import java.util.List;

/**
 * 视频包Service接口
 * 
 * @author mingxue
 * @date 2021-07-22
 */
public interface IBBusiDezhiVideoPackageService 
{
    /**
     * 查询视频包
     * 
     * @param id 视频包ID
     * @return 视频包
     */
    public BBusiDezhiVideoPackage selectBBusiDezhiVideoPackageById(Long id);
    public BBusiDezhiVideoPackage selectBBusiDezhiVideoPackageByPackId(String packId);

    /**
     * 查询视频包列表
     * 
     * @param bBusiDezhiVideoPackage 视频包
     * @return 视频包集合
     */
    public List<BBusiDezhiVideoPackage> selectBBusiDezhiVideoPackageList(BBusiDezhiVideoPackage bBusiDezhiVideoPackage);

    /**
     * 新增视频包
     * 
     * @param bBusiDezhiVideoPackage 视频包
     * @return 结果
     */
    public int insertBBusiDezhiVideoPackage(BBusiDezhiVideoPackage bBusiDezhiVideoPackage);

    /**
     * 修改视频包
     * 
     * @param bBusiDezhiVideoPackage 视频包
     * @return 结果
     */
    public int updateBBusiDezhiVideoPackage(BBusiDezhiVideoPackage bBusiDezhiVideoPackage);

    /**
     * 批量删除视频包
     * 
     * @param ids 需要删除的视频包ID
     * @return 结果
     */
    public int deleteBBusiDezhiVideoPackageByIds(Long[] ids);

    /**
     * 删除视频包信息
     * 
     * @param id 视频包ID
     * @return 结果
     */
    public int deleteBBusiDezhiVideoPackageById(Long id);

    public BBusiDezhiVideoPackage selectByPack(String packId);

    public List<Object> getvideoCourse(Integer subject);

}
